package eu.teraflow.policy.monitoring.model;

public class IntegerKpiValue implements KpiValue<Integer> {

    private final int value;

    public IntegerKpiValue(int value) {
        this.value = value;
    }

    @Override
    public Integer getValue() {
        return this.value;
    }

    @Override
    public String toString() {
        return String.format("%s:{value:\"%d\"}", getClass().getSimpleName(), value);
    }
}
